Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Tue, 20 Oct 2009 09:35:45 +0200

> I guess that depends on why switch-to-buffer-other-window uses
 > pop-to-buffer.

Because it was convenient that way - before 1985 just as now.

 > Note that the use of pop-to-buffer already causes the curent behavior to
 > be different from the doc you cite: with pop-up-frames set to non-nil,
 > if the currently selected window is the only window, it is not split:
 > another frame is creqated instead.

Indeed.  But my point remains that I'm not sure whether switching from
`switch-to-buffer' or `switch-to-buffer-other-window' to `pop-to-buffer'
and not using the selected window in the former (or using the selected
window in the latter) case might cause indignations of users.  Also so
because the `switch-to...' functions are frequently used by Elisp code.

martin